Bug 485578 - F10: package-cleanup --dupes crashes when versionlock module is enabled
F10: package-cleanup --dupes crashes when versionlock module is enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 516050 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 14:27 EST by Benjamin Lewis
Modified: 2014-01-21 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 06:59:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback from package-cleanup (127.94 KB, text/plain)
2009-02-14 14:27 EST, Benjamin Lewis
no flags Details
package-cleanup --leaves 2>&1 (128.02 KB, text/plain)
2009-02-28 22:47 EST, Curtis Doty
no flags Details

  None (edit)
Description Benjamin Lewis 2009-02-14 14:27:35 EST
Created attachment 331933 [details]
Traceback from package-cleanup

Description of problem:
If the versionlock yum module is enabled, package-cleanup --dupes crashes with a huge traceback and the error "RuntimeError: maximum recursion depth exceeded"

Version-Release number of selected component (if applicable):
yum-versionlock-1.1.19-1.fc10.noarch
yum-utils-1.1.19-1.fc10.noarch
yum-3.2.21-2.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Enable versionlock module
2. Run package-cleanup --dupes
  
Actual results:
Crash with traceback

Expected results:
List of dupes (or not as the case may be)

Additional info:
The traceback produced is attached
Comment 1 Curtis Doty 2009-02-28 22:47:33 EST
Created attachment 333634 [details]
package-cleanup --leaves 2>&1

same here with --leaves on F-9
Comment 2 Curtis Doty 2009-02-28 22:49:33 EST
Workaround: yum erase yum-versionlock
Comment 3 seth vidal 2009-03-06 13:31:06 EST
What was in your versionlock.conf file for locklist?
Comment 4 Curtis Doty 2009-03-06 20:18:29 EST
I've since disabled, but at time of error (on older Fedora here), think it was these:

17:17]curtis@barleycorn/etc/yum/pluginconf.d$ grep . versionlock.*.rpmsave                      
versionlock.conf.rpmsave:[main]
versionlock.conf.rpmsave:enabled=1
versionlock.conf.rpmsave:locklist = /etc/yum/pluginconf.d/versionlock.list
versionlock.list.rpmsave:postfix-2.3.3-2
Comment 5 Benjamin Lewis 2009-03-08 09:03:00 EDT
[blewis@dominus tmp]$ cat /etc/yum/pluginconf.d/versionlock.*
[main]
enabled = 1
locklist = /etc/yum/pluginconf.d/versionlock.list
#  Uncomment this to lock out "upgrade via. obsoletes" etc. (slower)
# follow_obsoletes = 1
amarok-1.4.10-1.fc10.i386
amarok-visualisation-1.4.10-1.fc10.i386
Comment 6 seth vidal 2009-03-09 14:41:51 EDT
Benjamin,
 Can you make this happen, too?
Comment 7 Benjamin Lewis 2009-05-17 15:04:17 EDT
I'm not sure what you mean. If you are referring to package-cleanup not working with versionlock enabled then yes I can.

[Sorry for the delay in replying, I missed the bugzilla e-mail and forgot about this bug :(]
Comment 8 James Antill 2009-06-22 01:53:14 EDT
 This is probably fixed by upstream commit:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=5216a27d35d60e46f028b1fbba58acae5b9e79d2

can someone verify?
Comment 9 Michal Schmidt 2009-06-22 02:45:07 EDT
James,
I confirm that applying the patch on F10's yum fixed this bug. Thanks.
Comment 10 seth vidal 2009-08-06 15:58:14 EDT
*** Bug 516050 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2009-11-18 04:51:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Michal Schmidt 2009-11-18 06:59:43 EST
This is fixed in yum-3.2.24-2.fc10 which is in F10 updates.

Note You need to log in before you can comment on or make changes to this bug.